### Method

# Gtk SizeGroupadd_widget

#### Declaration [src]

    void
    gtk_size_group_add_widget (
      GtkSizeGroup* size_group,
      GtkWidget* widget
    )

#### Description [src]

Adds a widget to a `GtkSizeGroup`.

In the future, the requisition of the widget will be determined as the maximum of its requisition and the requisition of the other widgets in the size group. Whether this applies horizontally, vertically, or in both directions depends on the mode of the size group. See `gtk_size_group_set_mode()`.

When the widget is destroyed or no longer referenced elsewhere, it will be removed from the size group.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to add.

  The data is owned by the caller of the method.